Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 20 Sep 2014, 04:12
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects » Next Puppy Development » 4.x » Bugs (4.x dev)
[SOLVED] hpjis
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Sun 10 May 2009, 15:59    Post subject:  [SOLVED] hpjis  

DaveS wrote:
Hpijs-static patched will not install via package manager. It begins to download then bugs out with an error message saying failed to install. Thus, no access to printer drivers to test new CUPS
Frugal USB

Installing the hpijs-3.9.4-dynppds.pet from here http://www.murga-linux.com/puppy/viewtopic.php?p=304082#304082
fixes it. Nothing else is needed.

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
ecomoney


Joined: 25 Nov 2005
Posts: 2183
Location: Lincolnshire, England

PostPosted: Mon 11 May 2009, 06:42    Post subject:  

Does this need to be added to the repository instead of the hpjis package that is there in that case?
_________________
Puppy Linux's Mission

Sorry, my server is down atm!
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Mon 11 May 2009, 06:49    Post subject:  

ecomoney wrote:
Does this need to be added to the repository instead of the hpjis package that is there in that case?

Maybe. I tried it as a straight shoe-in for 4.2 and it did not work, I think because it requires the 4.2.1 CUPS (1.3.10) version, not 1.4b in 4.2
I had to do this as the standard version would not install. Hopefully, it was just a bad upload. If that was the case, then the version in the repo when fixed would work across Puppy versions.

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
WhoDo


Joined: 11 Jul 2006
Posts: 4441
Location: Lake Macquarie NSW Australia

PostPosted: Mon 11 May 2009, 07:15    Post subject:  

DaveS wrote:
Hopefully, it was just a bad upload. If that was the case, then the version in the repo when fixed would work across Puppy versions.

Latest version of hpijs-2.18.2-patched421 is available at ibiblio.org ... note that you won't have access to it from PETget just yet, unless you are running 4.2.1RC2 in testing.

_________________
Actions speak louder than words ... and they usually work when words don't!
SIP:whodo@proxy01.sipphone.com; whodo@realsip.com
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Mon 11 May 2009, 08:02    Post subject:  

Thanks WhoDo. Downloaded and installed in an otherwise clean version of 4.2.1. No problem this time, but on my system, after I have installed the .pet and the printer, I have to re-boot BEFORE I print a test page, or the process hangs at 17% complete. May just be my system as it has always done this Very Happy
_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Mon 11 May 2009, 08:11    Post subject:  

ecomoney wrote:
Does this need to be added to the repository instead of the hpjis package that is there in that case?

It was just a bad upload. Downloads and installs perfectly now.

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9114
Location: Stratford, Ontario

PostPosted: Mon 11 May 2009, 08:18    Post subject:  

In the same way that Gutenprint has upgraded to dynamic PPD's, it would make sense to do the same with HPIJS. The download is much smaller and there is no large permanent store of PPD files on your system.
Last edited by rcrsn51 on Mon 11 May 2009, 08:27; edited 1 time in total
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Mon 11 May 2009, 08:22    Post subject:  

rcrsn51 wrote:
In the same way that Gutenprint has upgraded to dynamic PPD's, it would make sense to do the same with HPIJS. The download is much smaller and there in no large permanent store of PPD files on your system.

Agreed. Will be keeping your dynamic package in favour of the static, but it was important to get the bad .pet sorted. If only the dynamic package could be part of the .iso.........................

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects » Next Puppy Development » 4.x » Bugs (4.x dev)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0549s ][ Queries: 11 (0.0043s) ][ GZIP on ]